> ## Documentation Index
> Fetch the complete documentation index at: https://api-doc.track.graviton.ma/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a event rule

> Works with resources accessible to your account. Subaccounts need the `event_notifications` permission. Requires write access. A read-only account cannot perform this operation.



## OpenAPI

````yaml /openapi.json post /events
openapi: 3.0.3
info:
  title: Graviton Geo V1 Client API
  version: 2.0.0
  description: >-
    Client API for Graviton Geo V1. Use an API token to access your fleet,
    tracking, resources, commands, and reports. The REST API base path is
    /api/v2.
servers:
  - url: https://fleet.graviton.ma/api/v2
    description: Production
security:
  - ApiKey: []
tags:
  - name: System
  - name: Account
  - name: Fleet
  - name: Tracking
  - name: Commands
  - name: Places
  - name: People and groups
  - name: Events
  - name: Maintenance
  - name: Sensors
  - name: Reports
  - name: Templates
paths:
  /events:
    post:
      tags:
        - Events
      summary: Create a event rule
      description: >-
        Works with resources accessible to your account. Subaccounts need the
        `event_notifications` permission. Requires write access. A read-only
        account cannot perform this operation.
      operationId: post_events
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EventsInput'
      responses:
        '201':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - data
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  data:
                    type: object
                    properties:
                      event_id:
                        oneOf:
                          - type: number
                          - type: string
                        description: >-
                          Numeric value; legacy values may be serialized as
                          strings.
                      type:
                        description: Type.
                      name:
                        description: Name.
                      active:
                        description: Active.
                      week_days:
                        description: Week days.
                      day_time:
                        description: Day time.
                      imei:
                        description: Imei.
                      checked_value:
                        description: Checked value.
                      route_trigger:
                        description: Route trigger.
                      zone_trigger:
                        description: Zone trigger.
                      routes:
                        description: Routes.
                      zones:
                        description: Zones.
                      notify_system:
                        description: Notify system.
                      notify_email:
                        description: Notify email.
                      notify_email_address:
                        description: Notify email address.
                      notify_sms:
                        description: Notify sms.
                      notify_sms_number:
                        description: Notify sms number.
                      notify_telegram:
                        description: Notify telegram.
                      email_template_id:
                        description: Email template id.
                      sms_template_id:
                        description: Sms template id.
                      cmd_send:
                        description: Cmd send.
                      cmd_gateway:
                        description: Cmd gateway.
                      cmd_type:
                        description: Cmd type.
                      cmd_string:
                        description: Cmd string.
                    additionalProperties: true
                  meta:
                    $ref: '#/components/schemas/Meta'
        '401':
          $ref: '#/components/responses/Error'
        '403':
          $ref: '#/components/responses/Error'
        '422':
          $ref: '#/components/responses/Error'
        '429':
          $ref: '#/components/responses/Error'
        '503':
          $ref: '#/components/responses/WritesDisabled'
components:
  schemas:
    EventsInput:
      type: object
      required:
        - type
        - name
      properties:
        type:
          description: Type.
        name:
          description: Name.
        active:
          description: Active.
        week_days:
          description: Week days.
        day_time:
          description: Day time.
        imei:
          description: Imei.
        checked_value:
          description: Checked value.
        route_trigger:
          description: Route trigger.
        zone_trigger:
          description: Zone trigger.
        routes:
          description: Routes.
        zones:
          description: Zones.
        notify_system:
          description: Notify system.
        notify_email:
          description: Notify email.
        notify_email_address:
          description: Notify email address.
        notify_sms:
          description: Notify sms.
        notify_sms_number:
          description: Notify sms number.
        notify_telegram:
          description: Notify telegram.
        email_template_id:
          description: Email template id.
        sms_template_id:
          description: Sms template id.
        cmd_send:
          description: Cmd send.
        cmd_gateway:
          description: Cmd gateway.
        cmd_type:
          description: Cmd type.
        cmd_string:
          description: Cmd string.
    Meta:
      type: object
      properties:
        request_id:
          type: string
        page:
          type: integer
        per_page:
          type: integer
        total:
          type: integer
        pages:
          type: integer
    ErrorEnvelope:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
            details:
              type: object
              additionalProperties: true
        meta:
          $ref: '#/components/schemas/Meta'
  responses:
    Error:
      description: API error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
    WritesDisabled:
      description: Production write safety switch is disabled
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your Graviton API token. Send Authorization: Bearer YOUR_API_TOKEN or
        Authorization: YOUR_API_TOKEN. Each token has individual permissions; a
        valid token without the permission required by the method and route
        returns 403 TOKEN_PERMISSION_DENIED.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.